<?php
use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Middleware;
use Illuminate\Foundation\Configuration\Exceptions;
return Application::configure(basePath: dirname(__DIR__))
 ->withRouting(web: __DIR__.'/../routes/web.php', commands: __DIR__.'/../routes/console.php', health: '/up')
 ->withMiddleware(function(Middleware $middleware) {
   $middleware->prepend(\App\Http\Middleware\Installed::class);
   $middleware->alias(['active'=>App\Http\Middleware\ActiveAccount::class]);
   $middleware->redirectGuestsTo('/login');
 })
 ->withExceptions(function(Exceptions $exceptions) {$exceptions->dontFlash(['password','password_confirmation','current_password','wp_password','ippanel_key','zibal_merchant']);})
 ->create();
